#!/bin/bash

DIRNAME=$(dirname "$0")
if [[ $DIRNAME == "." ]]; then
  DIRNAME=$PWD
fi
if [[ $DIRNAME == "./"* ]]; then
  DIRNAME=$(echo $DIRNAME | awk -F  '[.]/' '{ print $2 }')
fi
if [[ $DIRNAME != *$HOME* ]]; then
  DIRNAME=$HOME/$DIRNAME
fi
#echo "dirname: $DIRNAME"
cd "$DIRNAME"
cat > SystemClient_v5.0.4.desktop << EOF
[Desktop Entry]
Categories=Application
Comment=Telemotive System Client Version 5.0.4
Exec=/bin/sh "$DIRNAME/bpngclient"
Icon=$DIRNAME/bpngclientapp/icon.png
Name=System Client 5.0.4
Path=$DIRNAME/bpngclientapp
StartupNotify=false
Terminal=0
Type=Application
Version=1.0
EOF
